| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::Configuration Class Referencefinal

Configuration for the system's initialization. More...

Inheritance diagram for nkGraphics::Configuration:

## Public Member Functions
| Configuration () noexcept
RENDERING_API | getWantedApi () const
bool | getDisableRaytracing () const
void | setWantedApi (RENDERING_API v)
void | setDisableRaytracing (bool v)
virtual void | exportClassToTree (nkExport::Node *rootNode) override
virtual void | importClassFromTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkExport::Exportable
| Exportable () noexcept
virtual | ~Exportable ()

## Detailed Description

Configuration for the system's initialization.

## Constructor & Destructor Documentation

## ◆ Configuration()

nkGraphics::Configuration::Configuration | ( |  | ) |
| noexcept

Constructor.

## Member Function Documentation

## ◆ getWantedApi()

RENDERING_API nkGraphics::Configuration::getWantedApi | ( |  | ) | const

Returns
  The currently wanted rendering API.

## ◆ getDisableRaytracing()

bool nkGraphics::Configuration::getDisableRaytracing | ( |  | ) | const

Returns
  Whether the raytracing capabilities have been forcefully disabled (true) or not (false).

## ◆ setWantedApi()

void nkGraphics::Configuration::setWantedApi | ( | RENDERING_API | v | ) |

Sets the wanted rendering API.

Parameters

  v | The rendering API to use. Defaults to RENDERING_API::AUTOMATIC.

## ◆ setDisableRaytracing()

void nkGraphics::Configuration::setDisableRaytracing | ( | bool | v | ) |

Sets whether the raytracing capabilities should be forcefully disabled, even if the renderer and hardware supports it. This will prevent all raytracing related initialization paths, possibly offering a fix for some crashes if the driver does not support them well.

Parameters

  v | Whether to disable the feature (true) or not (false). Defaults to false.

## ◆ exportClassToTree()

virtual void nkGraphics::Configuration::exportClassToTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Exports the class into a tree.
Format :

    {
        "wantedApi" : "[auto|d3d11|d3d12|gles]",
        "disableRaytracing": [false|true]
    }

Parameters

  rootNode | The node to export into.

Implements nkExport::Exportable.

## ◆ importClassFromTree()

virtual void nkGraphics::Configuration::importClassFromTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Imports information from a tree which is supposed to describe its structure and data.

Parameters

  rootNode | The root node of the tree holding the information.

Implements nkExport::Exportable.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Configurations/Configuration.h